%define DISTDIR	/opt

Summary: SlimBoat Web Browser
Name: slimboat
Version: 1.1.53
Release: b1
License: GPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.bz2
URL: http://www.slimboat.com
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: i686
NoSource: 0

%description
Fast & Full-Featured Web Browser.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -c -q
#rm firefox/{README.txt,removed-files}

%{__cat} <<'EOF' >slimboat.sh
#!/bin/sh
exec "%{DISTDIR}/slimboat/slimboat.sh" $@
EOF

%{__cat} <<'EOF' >slimboat.desktop
#!/bin/sh
[Desktop Entry]
Name=SlimBoat Web Browser
Comment=Browse the Internet
Exec=%{DISTDIR}/slimboat/slimboat.sh %u
Icon=firefox
Terminal=0
Type=Application
Encoding=UTF-8
Categories=Application;Network;X-Red-Hat-Base;X-Red-Hat-Base-Only;
EOF


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{DISTDIR}/slimboat,%{_bindir}}
cp -a slimboat*/* $RPM_BUILD_ROOT%{DISTDIR}/slimboat
rm $RPM_BUILD_ROOT%{DISTDIR}/slimboat/slimboat.spec

%{__install} -D -m0755 slimboat.sh %{buildroot}%{_bindir}/slimboat

mkdir -p %{buildroot}/usr/share/applications/
%{__install} -m0644 slimboat.desktop %{buildroot}/usr/share/applications/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%{_bindir}/slimboat
/opt/slimboat
/usr/share/applications/


%changelog
* Fri Jan 2 2015 Yuichiro Nakada <berry@berry-lab.net>
- Create for Berry Linux

